<?php
/**
 * Page-Data-Scripting - module admin
 *
 * Admin-interface for configuring the plugin
 * via the standard-functions of pluginloader.
 *
 * @author Holger Irmler
 * @link http://www.HolgerIrmler.de/playground
 * @version 1.0.1
 * @date: 2010-03-10
 * @package hi_pd_scripting
 */
/**
 * Check if plugin was called. If so, let the 
 * Loader create and handle the admin-menu 
 */
define('HI_PDS_ADMIN', '1.01');
initvar('hi_pd_scripting');

//Check if PLUGINLOADER is calling and DIE if not
if(!defined('PLUGINLOADER_VERSION')){die('Plugin '. basename(dirname(__FILE__)) . ' requires a newer version of the Pluginloader. No direct access.');} 

if($hi_pd_scripting){
	$admin= isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
	$action= isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';
	$plugin=basename(dirname(__FILE__),"/");
	$o .= print_plugin_admin('off');
	if($admin<>'plugin_main'){
		$o .= plugin_admin_common($action,$admin,$plugin);
	}
	if ($admin == 'plugin_main') {
		$o .= plugin_admin_common($action, $admin, $plugin);
	}
	if($admin == '') {
		$o .= "\n".tag("br").tag("hr size=\"1\"")."\n";
        $o .= "<font size = 3><strong>PD_Scripting Plugin for CMSimple(_XH)</strong></font>\n";
        $o .= tag("hr size=\"1\"")."\n";
		$o .= tag("br")."\n";
        $o .= "<strong>Version: </strong>". HI_PDS_MAIN .tag('br')."\n";
        $o .= "&copy;2010 Holger Irmler".tag("br")."\n";
        $o .= "Email: <a href=\"mailto:CMSimple@HolgerIrmler.de\">CMSimple@HolgerIrmler.de</a>".tag("br")."\n";
        $o .= "Website: <a href=\"http://www.holgerirmler.de/playground\" target=\"_blank\">www.HolgerIrmler.de</a>".tag("br")."\n";
        $o .= tag("br")."\n";
		$o .= "If you like this plugin, or using it in a commercial scope,".tag("br")."\n";
		$o .= "consider <a href=\"https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&amp;hosted_button_id=2888355\" target=\"_blank\">donating a few bucks to me via PayPal</a>.".tag("br")."\n";
        $o .= tag("br")."\n";
		$o .= tag("hr size=\"1\"")."\n";
        $o .= tag("br")."\n";
        $o .= "<strong>Script-Version Overview:</strong>"."\n";
        $o .= "<table border='0' cellpadding='3'>"."\n";
        $o .= "<tr><td>index.php: </td><td>" . HI_PDS_INDEX . "</td></tr>"."\n";
        $o .= "<tr><td>admin.php: </td><td>" . HI_PDS_ADMIN . "</td></tr>"."\n";
        $o .= "</table>"."\n";
        $o .= tag("br")."\n";
        $o .= tag("hr size=\"1\"")."\n";
	}
}
?>